%define pname     streamdev
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)
%define svn 20090706

Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Summary:	VDR plugin streamdev
Name:		vdr-%{pname}
Version:	0.5.0
Release:	5
Group:		VDR
License:	GNU/GPL
URL:		http://streamdev.vdr-developer.org/
Source:		%{name}-%{version}-pre-%{svn}.tgz
Source201:	vdr-streamdev-client.runvdr
Source202:	vdr-streamdev-server.runvdr
Patch2:		streamdev-0.5.0-pre-Makefile.patch
Patch3:		streamdev-xbmc-play-recordings.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

It consists of a server and a client part, but both parts are compiled together
with the PlugIn source, but appear as separate PlugIns to VDR.

%post
/usr/bin/runvdr-conf.d enable %{pname}-client >/dev/null 2>&1
/usr/bin/runvdr-conf.d enable %{pname}-server >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname}-client >/dev/null 2>&1
    /usr/bin/runvdr-conf.d disable %{pname}-server >/dev/null 2>&1
fi


%prep
%setup -q -n %{pname}-%{version}-pre-%{svn}
%patch2 -p1
%patch3 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}-*.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/streamdev
install -m755 streamdev/externremux.sh $RPM_BUILD_ROOT%{configdir}/plugins/streamdev
install -m644 streamdev/streamdevhosts.conf $RPM_BUILD_ROOT%{configdir}/plugins/streamdev

#runvdr integration
install -Dpm 644 %{SOURCE201} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}-client
install -Dpm 644 %{SOURCE202} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}-server

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_sysconfdir
%_libdir
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}-client
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}-server

%changelog
* Wed Sep 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.0-5
- add play recordings patch for xbmc
* Fri Sep 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.0-4
- rebuild against vdr-1.6.0-13
* Fri Sep 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.0-3
- runvdr integration
* Wed Sep 16 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.0-2
- svn 20090706
* Thu Sep 18 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.0-1.pre
- Initial release
